package com.njyunzhi.pet_identity.service;

import com.njyunzhi.pet_identity.entity.TaCardNo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njyunzhi.pet_identity.vo.BatchCardParams;

/**
 * <p>
 * 卡号库 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-05-28
 */
public interface ITaCardNoService extends IService<TaCardNo> {

    TaCardNo getUnuseCard(String cardNo);

    void createBatchCardNo(BatchCardParams batchCardParams) throws Exception;

    String getFormatNo(String prefix, Integer num);
}
